package com.base.superfilemanager.activity

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import android.os.Handler
import androidx.appcompat.app.AppCompatActivity
import com.base.superfilemanager.R
import com.base.superfilemanager.view.PermisonPopWindow

class PermissionTripActivity : AppCompatActivity() {
    companion object {

        fun launch(activity: Activity) {
            activity.startActivity(
                Intent(activity, PermissionTripActivity::class.java)
            )
        }
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_layout_permisson_trip)
        initView()
    }

    private fun initView() {
            Handler().postDelayed({
                PermisonPopWindow(this) {
                    finish()
                }.show()
            }, 500)
    }
}